@import "theme.css";
@import "animation.css";
@media (min-width: 1400px){
  .contentBox.large {
    width: 80%;
    min-height: 130px;
  }
  .contentBox {
    display: flex;
    flex-direction: column;
    width:500px;
    margin:auto;
    background: #fff;
    border-radius: 5px;
    padding: 20px 25px;
  }
  .contentBox .right-side {
    width: calc(100% - 15rem);
    margin: 0 10px;
  }
  .his_conbox_title {
    position: relative;
    font-size: 40px;
    color: #fff;
    z-index: 998;
    top: 188.5;
  }
  .small.his_conbox_title {
    position: relative;
    font-size: 40px;
    color: #fff;
    z-index: 998;
    top: 130;
  }
  .row-direction {
    display: flex;
    flex-direction: row;
  }
  .w-13 {
    width: 13rem;
  }
  .regItem {
    margin: 0.5rem 0;
  }

  .flexItem {
    display: flex;
    align-items: center;
  }
  
  #godEvent {
    position: fixed;
    bottom: 0px;
    right: 0px;
    z-index: 20;
  }
  .godEventImage {
    width: 100px;
    height: 100px;
  }
  .godEventImage img {
    max-width: 100%;
    max-height: 100%;
  }
}
@media only screen and (max-width: 1400px) and (min-width: 1100px){
  .contentBox.large {
    width: 1024px;
    min-height: 130px;
  }
  .contentBox {
    display: flex;
    flex-direction: column;
    width:500px;
    margin:auto;
    background: #fff;
    border-radius: 5px;
    padding: 20px 25px;
  }
  .contentBox .right-side {
    width: calc(100% - 15rem);
    margin: 0 10px;
  }
  .his_conbox_title {
    position: relative;
    font-size: 40px;
    color: #fff;
    z-index: 998;
    top: 188.5;
  }
  .small.his_conbox_title {
    position: relative;
    font-size: 40px;
    color: #fff;
    z-index: 998;
    top: 130;
  }
  .row-direction {
    display: flex;
    flex-direction: row;
  }
  .w-13 {
    width: 13rem;
  }
  .regItem {
    margin: 0.5rem 0;
  }

  .flexItem {
    display: flex;
    align-items: center;
  }

  #godEvent {
    position: fixed;
    bottom: 0px;
    right: 0px;
    z-index: 20;
  }
  .godEventImage {
    width: 100px;
    height: 100px;
  }
  .godEventImage img {
    max-width: 100%;
    max-height: 100%;
  }
}
@media only screen and (max-width: 1100px) and (min-width: 600px){
  .contentBox {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin:auto;
    background: #fff;
    border-radius: 5px;
    padding: 20px 25px;
  }
  .contentBox .right-side {
    width: 100%;
    margin: 0 10px;
  }
  .row-direction {
    display: flex;
    flex-direction: row;
  }
  .w-13 {
    width: 13rem;
  }
  .regItem {
    margin: 0.5rem 0;
  }
  .flexItem {
    display: flex;
    align-items: center;
  }

  #godEvent {
    display: none;
  }
}
@media only screen and (max-width: 600px){
  .contentBox{
    display: flex;
    flex-direction: column;
    width:100%;
    margin:auto;
    background: #fff;
    border-radius: 5px;
    padding: 10px 15px;
  }
  .contentBox .right-side {
    width: 100%;
    margin: 0 10px;
  }
  .row-direction {
    display: flex;
    align-items:center;
  }
  ul, li {
    display: inline-block;
  }
  .w-13 {
    width: 100%;
  }
  .regItem {
    margin: 0.5rem 0;
    display: grid;
  }

  .flexItem {
    display: flex;
    align-items: center;
  }

  #godEvent {
    display: none;
  }
}

* {
  letter-spacing: 0.125rem;
}

.centralContainer {
  min-height: 160px;
  margin-bottom: 1.5rem;
}

.header_all {
  position: relative;
  width: 100%;
  box-shadow: 0px 2px 2px 0px rgb(7 27 51 / 0%);
  z-index: 999;
  background: #f1f1f1 url(../images/pc_bg_01.png);
  opacity: 0.97;
}

.pfixed {
  z-index: 999;
}

.loginall{margin:10px 0 100px;}

.breakbox li a {
  text-decoration: none;
}

@keyframes blink { 50% { border-color:#fff ; }  }
.error-border {
  border: 1px #ff0000 solid;
  animation: blink 1s;
  animation-iteration-count: 3;
}

.errorMsg {
  margin: 0.5rem 0;
  color: red;
}
.checkAccount.none {
  display:none;
}

.redirect_login {
  text-align: center;
}

.redirect_login.none {
  display: none;
}

.regTypeBox {
  display:flex;
}

.selected {
  border: solid 3px blue;  
}

.regType {
  width: 3rem;
  height: 3rem;
  margin: 0.25rem;
  cursor: pointer;
}

.regType img{
  max-width: 100%;
  max-height: 100%;
}

.contentBox input{width:100%;}

.regbtn{
  background-color: #3E3E3E;
  color: #FFFFFF;
  border: 1px solid #3E3E3E;
  border-radius: 3px;
  width:100%;
  height:40px;
  font-size:15px;
}

.regItem span {
  color: #FF0000;
}

.textTitle {
  display: flex;
  width: 13rem;
  text-align: left;
  align-items: center;
  font-weight: bold;
}

.regItem select {
  width: 100%;
}

.loginBtn {
  cursor: pointer;
}

.btn.close {
  padding: inherit;
}

#wmtModal .rawAddress {
  margin: 0.25rem 0;
  width: 100%;
}

#wmtModal #address {
  width: 100%;
}

#wmtModal .country {
  width: 15rem;
}

#wmtModal #birthdayHour {
  width: 15rem;
}

#wmtModal table, #wmtModal th, #wmtModal tr, #wmtModal td {
  border: 1px solid #000000;
  text-align: center;
}

.loadingMask {
  width: 100%;
  height: 100%;
  display: flex;
  position: absolute;
  background-color: rgba(0,0,0,.7);
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.scroll-lock {
  overflow: hidden;
}

input {
  height: 2.5rem;
}

select {
  height: 2.5rem;
}

input[type=radio] {
  height: 1rem;
}

input::placeholder {
  color: #BABABA;
}

.hide {
  display: none !important;
}

.fontBold {
  font-weight: bold;
}

.noScroll {
  overflow: hidden;
}

.displayCenter {
  display: flex;
  align-items: center;
  justify-content: center;
}

.popover {
  max-width: 20rem;
}

.confirmPaymentData .paymentAction {
  display: flex;
  align-items: center;
}

.centralContainer .helper .announce {
  text-align: center;
  color: #000000;
  font-weight: bold;
}

.centralContainer .helper .helperPlatform {
  display: flex;
  font-weight: bold;
  justify-content: space-around;
}

.centralContainer .announce {
  margin: 0.25rem 0;
}


.centralContainer .helpItem {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.centralContainer .helpImg {
  width: 3rem;
  height: 3rem;
  cursor: pointer;
}
.centralContainer .helpImg img {
  max-width: 100%;
  max-height: 100%;
}

#godEvent .godMessage {
  position: absolute;
  width: 12rem;
  height: 2rem;
  border: 0px solid #fb3;
  border-radius: 0.25rem;
  background-color: #fb3;
  padding: 0.5rem 0.75rem;
  right: 0rem;
  bottom: 7rem;
  overflow: hidden;
}

#godEvent .bubble {
  position: absolute;
  left: 2rem;
  bottom: 6rem;
  width: 1rem;
  height: 1rem;
  border: 0px solid #fb3;
  border-left-width: 10px;
  border-left-color: currentColor;
  border-radius: 0 0 0 2rem;
  color: #fb3;
}

#godEvent .messageContainer {
  position: relative;
  top: 0;
  animation: movedown 20s steps(5) infinite;
}

#godEvent .message {
  position: relative;
  height: 2rem;
  font-weight: bold;
  white-space: nowrap;
  color: #000000;
}

#godEvent .message:before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  left:0;
  border-left: solid 1px  #000000;
  background: #fb3;
  -webkit-animation: typing 4s steps(23) infinite, blink 0.5s steps(23) infinite; 
}

.systemInfoArea {
  width: 100%;
  color: #FFFFFF;
  background-color: #97835b;
  display: flex;
  justify-content: center;
}

.systemInfoArea .marqueeBox {
  width: 70%;
  overflow: hidden;
}

#systemInfo:hover {
  -moz-animation-play-state: paused;
  -webkit-animation-play-state: paused;
  animation-play-state: paused;
}

#systemInfo {
  white-space: nowrap;
  animation: marquee 30s linear infinite;
}

@keyframes marquee {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}
